common:
  api_name: video-intelligence
  api_version: v1beta1
  organization_name: google-cloud
  service_yaml: videointelligence.yaml
  gapic_yaml: v1beta1/videointelligence_gapic.yaml
  src_proto_paths:
  - v1beta1
  proto_deps:
  - name: google-common-protos
artifacts:
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: java
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-java.git
    directory_mappings:
    - dest: google-cloud-videointelligence
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/gapic-google-cloud-video-intelligence-v1beta1
    - name: grpc
      dest: generated/java/grpc-google-cloud-video-intelligence-v1beta1
    - name: proto
      dest: generated/java/proto-google-cloud-video-intelligence-v1beta1
- name: python_gapic
  type: GAPIC_ONLY
  language: PYTHON
  publish_targets:
  - name: python
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-python.git
    directory_mappings:
    - src: google/cloud/gapic
      dest: videointelligence/google/cloud/gapic
    - src: tests/unit/gapic/v1beta1
      dest: videointelligence/tests/gapic
    - name: grpc
      src: google/cloud/proto
      dest: videointelligence/google/cloud/proto
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/python/gapic-google-cloud-video-intelligence-v1beta1
    - name: grpc
      dest: generated/python/proto-google-cloud-video-intelligence-v1beta1
- name: php_gapic
  type: GAPIC_ONLY
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/php/google-cloud-video-intelligence-v1beta1
    - name: grpc
      dest: generated/php/google-cloud-video-intelligence-v1beta1/proto
- name: ruby_gapic
  type: GAPIC_ONLY
  language: RUBY
  publish_targets:
  - name: ruby
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-ruby.git
    directory_mappings:
    - src: lib/google/cloud/video_intelligence/v1beta1
      dest: google-cloud-video_intelligence/lib/google/cloud/video_intelligence/v1beta1
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/ruby/google-cloud-ruby/google-cloud-video_intelligence
- name: go_gapic
  type: GAPIC_ONLY
  language: GO
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/go/vendor/cloud.google.com/go/google-cloud-videointelligence-v1beta1/vendor
  - name: go
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-go.git
    directory_mappings:
    - dest: video-intelligence/apiv1beta1
- name: csharp_gapic
  type: GAPIC_ONLY
  language: CSHARP
- name: nodejs_gapic
  type: GAPIC_ONLY
  language: NODEJS
  release_level: BETA
  package_version:
    grpc_dep_lower_bound: 0.1.0
  publish_targets:
  - name: nodejs
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-node.git
    directory_mappings:
    - src: src/v1beta1
      dest: packages/video-intelligence/src/v1beta1
    - src: test/gapic-v1beta1.js
      dest: packages/video-intelligence/test/gapic-v1beta1.js
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/nodejs/videointelligence
- name: gapic_config
  type: GAPIC_CONFIG
